Back
v1.99.2: Candidate Document Type - Upload by Admin (2026-07-15)

What's New


POST /candidateDocumentTypes/{candidateDocumentTypeId}/upload

Upload a document file by admin

POST /templates/{id}/duplicate

Duplicate Template

What's Changed


GET /candidates/export
Parameters:

Added: filter[customStatuses][] in query

Filter result by aggregated (custom) statuses (or): open, pending, completed, rejected. Alias of filter[statuses][]

Changed: filter[statuses][] in query

Filter result by aggregated (custom) statuses (or): open, pending, completed, rejected

DELETE /candidates/{candidateId}/messages/{messageId}

Delete an unread admin message of a candidate.

POST /candidateDocumentTypes/archive
Parameters:

Changed: filter[customStatuses][] in query

Filter result by aggregated (custom) statuses (or): pending, validated, expired, rejected

POST /candidateDocumentTypes/export
Parameters:

Changed: filter[customStatuses][] in query

Filter result by aggregated (custom) statuses (or): pending, validated, expired, rejected

POST /candidateDocumentTypes/{candidateDocumentTypeId}/process
Parameters:

Added: parse in query

Run the document parser during the auto check when the document type has one assigned.

Added: validate in query

Run the automatic validation during the auto check when the document type uses it.

POST /candidates/{candidateId}/messages
Request:

Changed content type : application/json

  • Added property senderId (string)

    Optional admin user id the message is created on behalf of. Useful for API tokens to attribute the message to a specific admin user. Defaults to the admin user of the access token.

GET /files
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > File included relations

    • Added property source (string)

      Owning application whose S3 bucket physically holds the file binary

      Enum values:

      • api
      • daas
POST /files
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property source (string)

      Owning application whose S3 bucket physically holds the file binary

GET /files/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property source (string)

      Owning application whose S3 bucket physically holds the file binary

GET /admin-user-signatures
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Admin user signature included relations

    • Changed property original (object)

      File

      • Added property source (string)

        Owning application whose S3 bucket physically holds the file binary

GET /admin-user-signatures/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property original (object)

      File

      • Added property source (string)

        Owning application whose S3 bucket physically holds the file binary

GET /candidateTokens
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate Token included relations

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /candidateTokens/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /candidate-selfies
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate selfie included relations

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

    • Changed property frontThumbnail (object)

      File

      • Added property source (string)

        Owning application whose S3 bucket physically holds the file binary

GET /candidate-selfies/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

    • Changed property frontThumbnail (object)

      File

      • Added property source (string)

        Owning application whose S3 bucket physically holds the file binary

PATCH /candidateDocumentTypes/{candidateDocumentTypeId}/documents
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate Document properties

    • Added property status (string)

      Internal numeric candidate document status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)

      Enum values:

      • 100
      • 101
      • 300
      • 301
      • 302
      • 400
      • 403
      • 900
      • 901
      • 905
GET /candidate-forms/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /company-signature-roles
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Company Signature role included relations

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /company-signature-roles/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /accounts
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Scenario included relations

    • Changed property candidates (array)

      Array of candidates

      Changed items (object): > Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /accounts/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidates (array)

      Array of candidates

      Changed items (object): > Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /candidateCustomFields
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate custom field included relations

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /candidateCustomFields/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /candidateResources
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate resource included relations

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /candidateResources/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

PUT /candidateResources/{id}/{action}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /candidate-forms
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate Form properties

    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

GET /candidateDocumentTypes/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property status (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)

      Enum values:

      • 100
      • 101
      • 300
      • 301
      • 302
      • 400
      • 403
      • 900
      • 901
      • 905
    • Deleted property customStatus (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
    • Changed property documents (array)

      Related Candidate Documents

      Changed items (object): > Candidate Document properties

      • Added property status (string)

        Internal numeric candidate document status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

PATCH /candidateDocumentTypes/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property status (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
    • Deleted property customStatus (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
POST /candidateDocumentTypes/{candidateDocumentTypeId}/duplicate
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property status (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
    • Deleted property customStatus (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
POST /candidates
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property status (string)

      Internal numeric candidate status. Each code maps to a human-readable status group:

      • 100 — Created by admin (Open)
      • 101 — Created by integration (Open)
      • 200 — Document or resource needed (Pending)
      • 201 — Complete (Completed)
      • 902 — Rejected by auto check (Rejected)

      Added enum values:

      • 100

      • 101

      • 200

      • 201

      • 902 Removed enum values:

      • open

      • pending

      • completed

      • rejected

GET /candidates
Parameters:

Added: filter[customStatuses][] in query

Filter result by aggregated (custom) statuses (or): open, pending, completed, rejected. Alias of filter[statuses][]

Changed: filter[statuses][] in query

Filter result by aggregated (custom) statuses (or): open, pending, completed, rejected

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Immutable candidate properties

    • Changed property status (string)

      Internal numeric candidate status. Each code maps to a human-readable status group:

      • 100 — Created by admin (Open)
      • 101 — Created by integration (Open)
      • 200 — Document or resource needed (Pending)
      • 201 — Complete (Completed)
      • 902 — Rejected by auto check (Rejected)

      Added enum values:

      • 100

      • 101

      • 200

      • 201

      • 902 Removed enum values:

      • open

      • pending

      • completed

      • rejected

    • Changed property candidateDocumentTypes (array)

      Candidate document types relation

      Changed items (object): > Candidate Document Type properties

      • Added property status (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
      • Deleted property customStatus (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
PATCH /candidates/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property status (string)

      Internal numeric candidate status. Each code maps to a human-readable status group:

      • 100 — Created by admin (Open)
      • 101 — Created by integration (Open)
      • 200 — Document or resource needed (Pending)
      • 201 — Complete (Completed)
      • 902 — Rejected by auto check (Rejected)

      Added enum values:

      • 100

      • 101

      • 200

      • 201

      • 902 Removed enum values:

      • open

      • pending

      • completed

      • rejected

GET /candidates/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property status (string)

      Internal numeric candidate status. Each code maps to a human-readable status group:

      • 100 — Created by admin (Open)
      • 101 — Created by integration (Open)
      • 200 — Document or resource needed (Pending)
      • 201 — Complete (Completed)
      • 902 — Rejected by auto check (Rejected)

      Added enum values:

      • 100

      • 101

      • 200

      • 201

      • 902 Removed enum values:

      • open

      • pending

      • completed

      • rejected

    • Changed property candidateDocumentTypes (array)

      Candidate document types relation

      Changed items (object): > Candidate Document Type properties

      • Added property status (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
      • Deleted property customStatus (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
DELETE /candidateDocumentTypes
Parameters:

Changed: filter[customStatuses][] in query

Filter result by aggregated (custom) statuses (or): pending, validated, expired, rejected

GET /candidateDocumentTypes
Parameters:

Added: filter[statuses][] in query

Filter result by internal numeric statuses (or)

Changed: filter[customStatuses][] in query

Filter result by aggregated (custom) statuses (or): pending, validated, expired, rejected

Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate Document Type properties

    • Added property status (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
    • Deleted property customStatus (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
    • Changed property documents (array)

      Related Candidate Documents

      Changed items (object): > Candidate Document properties

      • Added property status (string)

        Internal numeric candidate document status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
    • Changed property candidate (object)

      Immutable candidate properties

      • Changed property status (string)

        Internal numeric candidate status. Each code maps to a human-readable status group:

        • 100 — Created by admin (Open)
        • 101 — Created by integration (Open)
        • 200 — Document or resource needed (Pending)
        • 201 — Complete (Completed)
        • 902 — Rejected by auto check (Rejected)

        Added enum values:

        • 100

        • 101

        • 200

        • 201

        • 902 Removed enum values:

        • open

        • pending

        • completed

        • rejected

POST /candidateDocumentTypes
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Added property status (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
    • Deleted property customStatus (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
PUT /candidateDocumentTypes
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property created (array)

      Candidate document type

      Changed items (object): > Candidate Document Type properties

      • Added property status (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
      • Deleted property customStatus (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
PATCH /candidateDocumentTypes
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Candidate Document Type properties

    • Added property status (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
    • Deleted property customStatus (string)

      Internal numeric candidate document type status. Each code maps to a human-readable status group:

      • 100 — Requested by admin (Requested)
      • 101 — Requested by integration (Requested)
      • 300 — Waiting manual check (Pending)
      • 301 — Waiting auto check (Pending)
      • 302 — Waiting uploading end (Pending)
      • 400 — Validated by admin (Validated)
      • 403 — Validated by auto check (Validated)
      • 900 — Rejected by admin (Rejected)
      • 901 — Rejected by auto check (Rejected)
      • 905 — Expired (Expired)
GET /documentTypes
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object):

    • Changed property candidateDocumentTypes (array)

      Related Candidate Document Types

      Changed items (object): > Candidate Document Type properties

      • Added property status (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
      • Deleted property customStatus (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
GET /signature-requests
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    Changed items (object): > Signature request included relations

    • Changed property candidateDocumentType (object)

      Candidate Document Type properties

      • Added property status (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
      • Deleted property customStatus (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
GET /signature-requests/{id}
Return Type:

Changed response : 200 OK

Request was successful

  • Changed content type : application/json

    • Changed property candidateDocumentType (object)

      Candidate Document Type properties

      • Added property status (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)
      • Deleted property customStatus (string)

        Internal numeric candidate document type status. Each code maps to a human-readable status group:

        • 100 — Requested by admin (Requested)
        • 101 — Requested by integration (Requested)
        • 300 — Waiting manual check (Pending)
        • 301 — Waiting auto check (Pending)
        • 302 — Waiting uploading end (Pending)
        • 400 — Validated by admin (Validated)
        • 403 — Validated by auto check (Validated)
        • 900 — Rejected by admin (Rejected)
        • 901 — Rejected by auto check (Rejected)
        • 905 — Expired (Expired)